Invoke generic scsi error decoder if no alternative handler was
specified.

This is safe as dm_scsi_err_handler() will only act on SCSI errors
with valid sense data.

Signed-Off-By: Alasdair G Kergon <agk@redhat.com>
Signed-off-by: Lars Marowsky-Bree <lmb@suse.de>
Index: linux-2.6.16-rc5/drivers/md/dm-mpath.c
===================================================================
--- linux-2.6.16-rc5.orig/drivers/md/dm-mpath.c	2006-03-12 18:20:29.000000000 +0000
+++ linux-2.6.16-rc5/drivers/md/dm-mpath.c	2006-03-12 18:22:44.000000000 +0000
@@ -1115,6 +1115,8 @@ static int do_end_io(struct multipath *m
 
 	if (hwh->type && hwh->type->error)
 		err_flags = hwh->type->error(hwh, bio);
+	else
+		err_flags = dm_scsi_err_handler(hwh, bio);
 
 	if (mpio->pgpath) {
 		if (err_flags & MP_FAIL_PATH)
